Debian Bug report logs - #499744
mklibs patch for MIPS

version graph

Package: mklibs; Maintainer for mklibs is Debian Install System Team <debian-boot@lists.debian.org>; Source for mklibs is src:mklibs.

Reported by: joseph@codesourcery.com

Date: Sun, 21 Sep 2008 19:33:02 UTC

Severity: normal

Tags: patch

Fixed in version mklibs/0.1.27

Done: Bastian Blank <waldi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#499744; Package mklibs. (Sun, 21 Sep 2008 19:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Frans Pop <elendil@planet.nl>:
New Bug report received and forwarded. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sun, 21 Sep 2008 19:33:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: Debian BTS Submit <submit@bugs.debian.org>
Subject: mklibs patch for MIPS
Date: Sun, 21 Sep 2008 21:30:15 +0200
Package: mklibs
Tags: patch

This patch fixes a problem using mklibs for MIPS (discussed at 
<http://gcc.gnu.org/ml/gcc/2008-07/msg00099.html>).  The symbol 
__gnu_local_gp is defined by the linker for this configuration and so 
mklibs should ignore it being undefined.  I've only seen the problem for 
N32, though it might apply for other ABIs as well.  This problem is 
entirely independent of the problem of mklibs producing bad binaries for 
MIPS (bug 445507), which should probably have been fixed by the binutils 
patch <http://sourceware.org/ml/binutils/2008-07/msg00350.html>.

Index: src/mklibs.py
===================================================================
--- src/mklibs.py	(revision 55961)
+++ src/mklibs.py	(working copy)
@@ -415,9 +415,11 @@
     for obj in objects.values():
         for symbol in undefined_symbols(obj):
             # Some undefined symbols in libthread_db are defined in
-            # the application that uses it.
+            # the application that uses it.  __gnu_local_gp is defined
+            # specially by the linker on MIPS.
             if (not (re.search("libthread_db\.so", obj)
-                     and re.search("^ps_", str(symbol)))):
+                     and re.search("^ps_", str(symbol)))
+                and str(symbol) != "__gnu_local_gp@Base"):
                 debug(DEBUG_SPAM, "needed_symbols adding %s, weak: %s" % (symbol, symbol.weak))
                 needed_symbols[str(symbol)] = symbol
         libraries.update(library_depends(obj))

-- 
Joseph S. Myers
joseph@codesourcery.com




Changed Bug submitter from Frans Pop <elendil@planet.nl> to joseph@codesourcery.com. Request was from Frans Pop <elendil@planet.nl> to control@bugs.debian.org. (Sun, 21 Sep 2008 19:36:03 GMT) Full text and rfc822 format available.

Tags added: pending Request was from Frans Pop <elendil@planet.nl> to control@bugs.debian.org. (Sat, 27 Dec 2008 05:06:02 GMT) Full text and rfc822 format available.

Reply sent to Bastian Blank <waldi@debian.org>:
You have taken responsibility. (Wed, 06 May 2009 12:33:08 GMT) Full text and rfc822 format available.

Notification sent to joseph@codesourcery.com:
Bug acknowledged by developer. (Wed, 06 May 2009 12:33:09 GMT) Full text and rfc822 format available.

Message #14 received at 499744-close@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: 499744-close@bugs.debian.org
Subject: Bug#499744: fixed in mklibs 0.1.27
Date: Wed, 06 May 2009 12:02:05 +0000
Source: mklibs
Source-Version: 0.1.27

We believe that the bug you reported is fixed in the latest version of
mklibs, which is due to be installed in the Debian FTP archive:

mklibs-copy_0.1.27_i386.deb
  to pool/main/m/mklibs/mklibs-copy_0.1.27_i386.deb
mklibs_0.1.27.dsc
  to pool/main/m/mklibs/mklibs_0.1.27.dsc
mklibs_0.1.27.tar.gz
  to pool/main/m/mklibs/mklibs_0.1.27.tar.gz
mklibs_0.1.27_all.deb
  to pool/main/m/mklibs/mklibs_0.1.27_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 499744@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Bastian Blank <waldi@debian.org> (supplier of updated mklibs package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 06 May 2009 13:56:04 +0200
Source: mklibs
Binary: mklibs mklibs-copy
Architecture: source all i386
Version: 0.1.27
Distribution: unstable
Urgency: low
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Bastian Blank <waldi@debian.org>
Description: 
 mklibs     - Shared library reduction script
 mklibs-copy - Shared library reduction script
Closes: 469070 499744 505025 508929 518088
Changes: 
 mklibs (0.1.27) unstable; urgency=low
 .
   [ Joey Hess ]
   * Apply patches from Joseph S. Myers (closes: #469070):
     - mklibs-readelf: Uninitialized data fix
     - mklibs-readelf: Endian fix
     - mklibs: Add --sysroot, to locate all libraries and other related input
       files relative to a specified root directory rather than /.
     - mklibs: Add --gcc-options and --libdir options as well.
     - mklibs: Correct diagnostic text when symbol cannot be found.
     - mklibs: Ignore missing symbols from libthread_db, which are defined
       in the application that uses it.
   * Document --root in the man page.
 .
   [ Frans Pop ]
   * Apply patches from Joseph S. Myers:
     - Ignore the fact that symbol __gnu_local_gp is undefined for mips as it
       is defined by the linker. Thanks to Joseph S. Myers. Closes: #499744.
   * Remove myself as uploader.
 .
   [ Martin Michlmayr ]
   * mklibs-readelf: add missing header to avoid build error with GCC 4.4.
     Closes: #505025.
 .
   [ Bastian Blank ]
   * Support file definitions in version requirements. Based on patch by Andrew
     Stubbs <ams@codesourcery.com>. (closes: #508929)
   * Various cleanups.
   * Ignore symbols with empty names. (closes: #518088)
Checksums-Sha1: 
 e7b3c9c88e570c512290cf905745d1b6e4821fb1 969 mklibs_0.1.27.dsc
 bbf12828d09af12df501b5a748ff544c2bf3e25a 113602 mklibs_0.1.27.tar.gz
 d0b6804b85de9a532a839edc717f5e590f8a31bc 12988 mklibs_0.1.27_all.deb
 c7106ccb17e136d678a9d677d9b3da16bdb89bc5 44700 mklibs-copy_0.1.27_i386.deb
Checksums-Sha256: 
 1d6722106dd092c22e9839b668ae1a7dfb29036a3322f61b993d7e6944041f93 969 mklibs_0.1.27.dsc
 9eb44b5106f4c0d243c3c28e9c7f0d21667a6207ea32b2508936591cbed2519d 113602 mklibs_0.1.27.tar.gz
 9827873656f4bc7f7e74857e9b8c8fee94d0a0c7ed1b460114c94b2ad0631d24 12988 mklibs_0.1.27_all.deb
 f4e91935144cff23f1e53e77562f0e85b795b42d0d38b3da24ed0701a21a28a0 44700 mklibs-copy_0.1.27_i386.deb
Files: 
 c0bfa4e721e2c755ec3bf37d884c146e 969 devel optional mklibs_0.1.27.dsc
 ce906873efcf84c401479e9c10279660 113602 devel optional mklibs_0.1.27.tar.gz
 c55b104408f866f03dde78c1f98cfc38 12988 devel optional mklibs_0.1.27_all.deb
 5769bcf8e7eb2e61d148f250d4affaa7 44700 devel optional mklibs-copy_0.1.27_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkoBevAACgkQLkAIIn9ODhHgRwCgwtG5By62ROiWiQlqHgLYPFX2
Qm4AoLIkyC1t1Q5C+ARLI81OMgk4ldEb
=L9ab
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 14 Jun 2009 07:36:09 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 11:04:32 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.